Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JTransforms 2.4
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.emory.mathcs.jtransforms.dht
Class DoubleDHT_1D

    java.lang.Object
      edu.emory.mathcs.jtransforms.dht.DoubleDHT_1D

    public class DoubleDHT_1D

extends Object

Computes 1D Discrete Hartley Transform (DHT) of real, double precision data. The size of the data can be an arbitrary number. It uses FFT algorithm. This is a parallel implementation optimized for SMP systems.

Author:
  Piotr Wendykier (piotr.wendykier@gmail.com)

Constructor Summary
`DoubleDHT_1D(int n)` Creates new instance of DoubleDHT_1D.

Method Summary
`void` | `forward(double[] a)` Computes 1D real, forward DHT leaving the result in `a`.
`void` | `forward(double[] a, int offa)` Computes 1D real, forward DHT leaving the result in `a`.
`void` | `inverse(double[] a, boolean scale)` Computes 1D real, inverse DHT leaving the result in `a`.
`void` | `inverse(double[] a, int offa, boolean scale)` Computes 1D real, inverse DHT leaving the result in `a`.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DoubleDHT_1D

    public DoubleDHT_1D(int n)

  Creates new instance of DoubleDHT_1D.

  Parameters:
    `n` - size of data

Method Detail

### forward

    public void forward(double[] a)

  Computes 1D real, forward DHT leaving the result in `a`.

  Parameters:
    `a` - data to transform

### forward

    public void forward(double[] a,
                        int offa)

  Computes 1D real, forward DHT leaving the result in `a`.

  Parameters:
    `a` - data to transform
    `offa` - index of the first element in array `a`

### inverse

    public void inverse(double[] a,
                        boolean scale)

  Computes 1D real, inverse DHT leaving the result in `a`.

  Parameters:
    `a` - data to transform
    `scale` - if true then scaling is performed

### inverse

    public void inverse(double[] a,
                        int offa,
                        boolean scale)

  Computes 1D real, inverse DHT leaving the result in `a`.

  Parameters:
    `a` - data to transform
    `offa` - index of the first element in array `a`
    `scale` - if true then scaling is performed

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JTransforms 2.4
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD